[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#317098: kmail: Seg fault on startup: no effect by downgrading kdenetwork : gdb output included

Package: kmail
Version: 4:3.3.2-3
Followup-For: Bug #317098

I thought it was due to a kdenetwork upgrade that took place last night,
so I tried to downgrade kdenetwork to 4:3.3.2-5 (currently in testing)
with no effect. This is the output from running kmail under gdb:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 16384 (LWP 22292)]
0x40e1a95b in QString::QString () from /usr/lib/libqt-mt.so.3
(gdb) bt
#0  0x40e1a95b in QString::QString () from /usr/lib/libqt-mt.so.3
#1  0x41558ea5 in KPIM::Identity::Identity () from
#2  0x4155c1d2 in KPIM::IdentityManager::functions () from
#3  0x4155c2eb in KPIM::IdentityManager::functions () from
#4  0x4155f965 in QMemArray<char>::detach () from
#5  0x41551c85 in _init () from /usr/lib/libkpimidentities.so.1
#6  0x4000c1ce in _dl_catch_error () from /lib/ld-linux.so.2
#7  0x4000c2ba in _dl_init () from /lib/ld-linux.so.2
#8  0x40000c5d in ?? () from /lib/ld-linux.so.2

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.4.25-1-686
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)

Versions of packages kmail depends on:
ii  kdelibs4                 4:3.3.2-7       KDE core libraries
ii  libc6                    2.3.2.ds1-22    GNU C Library: Shared libraries an
ii  libgcc1                  1:4.0.0-12      GCC support library
ii  libice6                  4.3.0.dfsg.1-14 Inter-Client Exchange library
ii  libkcal2a                4:3.3.2-3       KDE calendaring library
ii  libkdenetwork2           4:3.3.2-3       KDE Network library
ii  libkdepim1               4:3.3.2-3       KDE PIM library
ii  libkleopatra0a           4:3.3.2-3       KDE GnuPG interface libraries
ii  libkpimidentities1       4:3.3.2-3       KDE PIM user identity information 
ii  libksieve0               4:3.3.2-3       KDE mail/news message filtering li
ii  libmimelib1a             4:3.3.2-3       KDE mime library
ii  libpng12-0               1.2.8rel-1      PNG library - runtime
ii  libqt3c102-mt            3:3.3.4-3       Qt GUI Library (Threaded runtime v
ii  libsm6                   4.3.0.dfsg.1-14 X Window System Session Management
ii  libstdc++5               1:3.3.6-7       The GNU Standard C++ Library v3
ii  libx11-6                 4.3.0.dfsg.1-14 X Window System protocol client li
ii  libxext6                 4.3.0.dfsg.1-14 X Window System miscellaneous exte
ii  perl                     5.8.7-3         Larry Wall's Practical Extraction 
ii  xlibs                    4.3.0.dfsg.1-14 X Keyboard Extension (XKB) configu
ii  zlib1g                   1:1.2.2-6       compression library - runtime

Versions of packages kmail recommends:
ii  kdebase-kio-plugins           4:3.3.2-1  KDE I/O Slaves
ii  kdepim-kio-plugins            4:3.3.2-3  KDE pim I/O Slaves
ii  procmail                      3.22-11    Versatile e-mail processor

-- no debconf information

Reply to: